Page MenuHomePhabricator

CMake is funky on detecting Intel 17 as GCC compatible.
ClosedPublic

Authored by vchuravy on Dec 8 2016, 7:58 PM.

Details

Summary

This adds a fallback in case that the Intel compiler is failed to be detected correctly.

Diff Detail

Repository
rL LLVM

Event Timeline

vchuravy updated this revision to Diff 80863.Dec 8 2016, 7:58 PM
vchuravy retitled this revision from to CMake is funky on detecting Intel 17 as GCC compatible..
vchuravy updated this object.
chapuni edited edge metadata.Dec 9 2016, 4:13 AM
chapuni added a subscriber: llvm-commits.

Looks good. I cannot check it since I don't have Intel compiler, though.

btw, would it work with icl.exe on windows?

@vchuravy, please do things in the next time when you create a differential,

  1. Add *-commits to subscribers
  2. Create diff to let contain whole the file, with "diff -U999999"

btw, would it work with icl.exe on windows?

As far as I know Intel on Windows is capable off handling gnu-style options, but I don't have a test system.

@vchuravy, please do things in the next time when you create a differential,

  1. Add *-commits to subscribers
  2. Create diff to let contain whole the file, with "diff -U999999"

I am still new to submitting patches to llvm so thanks for pointing that out to me.

chapuni accepted this revision.Dec 13 2016, 4:14 PM
chapuni edited edge metadata.

I think this would affect just to Intel compilers.

This revision is now accepted and ready to land.Dec 13 2016, 4:14 PM
This revision was automatically updated to reflect the committed changes.